Mailinglist Archive: opensuse-factory (649 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170823 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170823

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ceph (12.1.2+git.1501684697.aa6b0153ef -> 12.1.4+git.1502953626.155adb5253)
libpsm2 (10.2.103 -> 10.2.235)
multipath-tools (0.7.1+62+suse.62a2c36e -> 0.7.2+11+suse.448921a2)
osc (0.158.0 -> 0.159.0)
parted
pcre2
perl-SOAP-Lite (1.20 -> 1.22)
postgresql93 (9.3.16 -> 9.3.18)
postgresql94 (9.4.12 -> 9.4.13)
postgresql95 (9.5.7 -> 9.5.8)
postgresql96 (9.6.3 -> 9.6.4)
sg3_utils
tigervnc
xdg-desktop-portal-kde (5.10.4 -> 5.10.5)
zbar

=== Details ===

==== ceph ====
Version update (12.1.2+git.1501684697.aa6b0153ef ->
12.1.4+git.1502953626.155adb5253)
Subpackages: librados2 librbd1

- Update to version 12.1.4+git.1502953626.155adb5253:
+ ceph.spec: provide libxio 1.7 and obsolete libxio <= 1.7
- Update to version 12.1.4+git.1502878199.4183317204:
+ ceph.spec: obsolete libxio
(Note to reviewer: libxio was only ever used by Ceph (for an experimental
IB/RDMA feature), it was never submitted to Factory, and its functionality
has
been integrated into Ceph in a different form. For all practical purposes,
libxio has been replaced by Ceph itself.)
- Update to version 12.1.4+git.1502871088.edf82a59df:
+ latest upstream luminous (a5f84b37668fc8e03165aaf5cbb380c78e4deba4)
* increment upstream version number to 12.1.4
- Update to version 12.1.3+git.1502698163.45fc586a51:
+ latest upstream luminous (6808af486d3bdce966232810004648502c967b13)
* increment upstream version number to 12.1.3
- Update to version 12.1.2+git.1501914637.59afe41c49:
+ spec file
* ceph-volume added to ceph-base RPM, where it co-exists with ceph-disk
- Update to version 12.1.2+git.1501865907.88dc8cdc9d:
+ latest upstream master (7350fa65d79b5f0ace427e609565f07be35cfe62)
* os/bluestore: allow multiple DeferredBatches in flight at once
(pr#16769, issue#20295, bsc#1043399)
- Update to version 12.1.2+git.1501790037.82d6a9c37a:
+ osd: move CMPEXT response munging into completion function
(bsc#1047244)

==== libpsm2 ====
Version update (10.2.103 -> 10.2.235)
Subpackages: libpsm2-2 libpsm2-compat

- Remove unnecessary ldconfig from -devel subpackage.
- Update to version 10.2-235
- Set TidFlow starting sequence number to 0
- Add support for KNM detection
- Generalize affinity logic to extend to non-CUDA workloads as well
- Cleanup build artifacts. "make" output will now be in $PWD/build_release by
default
- Bug Fixes
- Mask non-DW msg size assert
- Fix hang associated with re-transmit of last fragment of non-DW aligned
SDMA eager message
- Keep track of only last unsent ACK message
- Retry context operns to fix interrupted syscall
- Fix segfault in disconnect code path
- Add psm2_ep_disconnect API
- Add GPU-Direct and support for CUDA buffers in PSM2
- Implement new HFI Selection algorithm for CUDA version of PSM2
- Related to this, Add new PSM2_MULTIRAIL option to allow multirail only
within a socket.
- Bug Fixes and Driver interface changes
- Sync with driver interface changes for GPU-Direct feature support
- Fix hang in PSM2 during context open
- Fix bug in psmi_memalign()
- Fix data corruption due to unaligned bytes in msg
- Drop libpsm2-gcc7.patch as it was fixed upstream
- Add set_version service
- Add libpsm2-fix-compilation-for-hfi1-v5.patch to fix compilation
for older kernels

==== multipath-tools ====
Version update (0.7.1+62+suse.62a2c36e -> 0.7.2+11+suse.448921a2)
Subpackages: kpartx

- Update to version 0.7.2+11+suse.448921a2:
* multipath.conf.5: document no_partitions compat support
* libmultipath: fixup compat support for 'features "1 no_partitions"'
- Dropped 67-kpartx-compat.rules (SUSE legacy).
* symlinks "/dev/mapper/${UUID}_part${X}" are not created any more,
only "/dev/mapper/${UUID}-part${X}" (with "minus")
- Dropped automatic kpartx invocation on dmraid devices (fate#323743)
- Rebase to upstream multipath-tools 0.7.2:
* libmultipath: retain_attached_hw_handler obsolete with 4.3+
* multipath-tools: move up TEMPLATE in hwtable
* multipath-tools: delete libdmmp/docs/man directory in make clean
* libmultipath: fix unit to seconds in log message for checker timeout
* multipath-tools: add HPE StoreVirtual 3200 family to hwtable
* multipath-tools: add HPE MSA 2050/2052 to hwtable
* multipath-tools: add/change fujitsu arrays
* multipath-tools: check sysfs path state for NVMe/NVMf
* multipath-tools: sync third-party headers with 3.13 upstream
* multipath-tools: beautify path_latency.c code
* multipath-tools: fix format in multipath.conf.5
* libmultipath: update 3PARdata builtin config
* Bump version to 0.7.2
- Update to version 0.7.2+8+suse.95e8f43e:
* libmultipath: don't try to set hwhandler if it is retained
(bsc#1037533)
* libmultipath: don't [un]set queue_if_no_path after domap
* kpartx/devmapper.h: remove dm_no_partitions
* libmultipath: compat support for 'features "1 no_partitions"'
(fate#323406)
* kpartx.rules: respect DM_UDEV_LOW_PRIORITY_FLAG
(bsc#1047180)
* kpartx.rules: Use DM_ACTIVATION as condition (fate#323406)
* kpartx.rules: skip creating by-uuid and by-label links
(fate#32340)
- Update to version 0.7.1+69+suse.3bfa5af1:
* Merge branch 'sles12-sp3-fixes' into sles12-sp3
* libmultipath: get_udev_uid: make sure pp->wwid is 0-terminated
(bsc#1048146)
* libmultipath: drop uevent_can_discard_by_devpath (bsc#1048052)
* libmultipath: only listen for uevents with DEVTYPE=disk
(bsc#1048052)
* libmultipath: fix over-long NVME WWIDs
(bsc#1048146)
- Update to version 0.7.1+64+suse.aabe8c87:
* Updated "no_path_retry" patchset to v4 (minor change)
* kpartx.rules: Fix syntax error in skip_kpartx code (bsc#1046092)
- _service: use "match-tag" to refer only to offical tags

==== osc ====
Version update (0.158.0 -> 0.159.0)

- Provide non-deprecated plugin directory and macro for plugins.
- add Recommends: obs-service-obs_scm
- 0.159.0
- "osc buildhistory": show build duration
- Support builds using native Docker build descriptions
- Support usage of pre-build containers for Docker and KIWI builds
- "osc build -M ..": fixed behaviour of falvoured builds
- added switch to show only issues in rdiff
- show build duration in build history
- allow to cat/less files from deleted packages (using -D option)
- Allow to override man-page date

==== parted ====
Subpackages: libparted0

- Fix s390x --wipesignatures regression caused by fate#320525
(bsc#1047031)
- amend: parted-implement-wipesignatures-option.patch
- refresh: 0002-dasd-enhance-device-probing.patch
- Amend parsing of empty GPT partition names to require quoted
empty strings '""' or "''" (bsc#1023818, boo#1032562)
- amend: parted-mkpart-allow-empty-gpt-part-name.patch
- parted: mkpart: Allow empty string "" for the GPT partition name
in script mode (bsc#1023818, boo#1032562)
- add: parted-mkpart-allow-empty-gpt-part-name.patch

==== pcre2 ====

- fix SLE 11 build

==== perl-SOAP-Lite ====
Version update (1.20 -> 1.22)

- updated to 1.22
see /usr/share/doc/packages/perl-SOAP-Lite/Changes
1.22 August 15, 2017
! Noindex URI::tcp module [github/JaSei]
! Correct the soap namespace declaration when calling services defined in
WSDL [github/waaeer]
! Fix typos [github/kmhl]
1.21 November 6, 2016
! #118654 consistently use '#!/usr/bin/env perl' throughout (@mototimo)
[github/moto-timo]

==== postgresql93 ====
Version update (9.3.16 -> 9.3.18)

- Update to version 9.3.18:
* https://www.postgresql.org/docs/9.3/static/release-9-3-18.html
* CVE-2017-7547, bsc#1051685: Further restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
* CVE-2017-7546, bsc#1051684: Disallow empty passwords in all
password-based authentication methods.
- use multibuild
- Update to version 9.3.17:
* https://www.postgresql.org/docs/9.3/static/release-9-3-16.html
* CVE-2017-7486, bsc#1037624: Restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
!!! Manual action is needed to fix this in existing databases
!!! See upstream release notes for details.
* CVE-2017-7485, bsc#1038293: recognize PGREQUIRESSL variable
again.
* CVE-2017-7484, bsc#1037603: Prevent exposure of statistical
information via leaky operators.
* Obsoletes postgresql-9.3.16-fix-timezone-tests.patch
- Move the timezone requirement to the server package as it was
originally intended.
- Sync spec file with postgresql96.
- Merge Factory and SLE-12.

==== postgresql94 ====
Version update (9.4.12 -> 9.4.13)

- Update to version 9.4.13
* https://www.postgresql.org/docs/9.4/static/release-9-4-13.html
* CVE-2017-7547, bsc#1051685: Further restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
* CVE-2017-7546, bsc#1051684: Disallow empty passwords in all
password-based authentication methods.
* CVE-2017-7548, bsc#1053259: lo_put() function ignores ACLs.
- use multibuild

==== postgresql95 ====
Version update (9.5.7 -> 9.5.8)

- Update to version 9.5.8
* https://www.postgresql.org/docs/9.5/static/release-9-5-8.html
* CVE-2017-7547, bsc#1051685: Further restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
* CVE-2017-7546, bsc#1051684: Disallow empty passwords in all
password-based authentication methods.
* CVE-2017-7548, bsc#1053259: lo_put() function ignores ACLs.
- use multibuild

==== postgresql96 ====
Version update (9.6.3 -> 9.6.4)
Subpackages: libecpg6 libpq5 postgresql96-contrib postgresql96-devel
postgresql96-docs postgresql96-server

- Update to version 9.6.4:
* https://www.postgresql.org/docs/9.6/static/release-9-6-4.html
* CVE-2017-7547, bsc#1051685: Further restrict visibility of
pg_user_mappings.umoptions, to protect passwords stored as
user mapping options.
* CVE-2017-7546, bsc#1051684: Disallow empty passwords in all
password-based authentication methods.
* CVE-2017-7548, bsc#1053259: lo_put() function ignores ACLs.
- fix building on sle11 by using krb5-devel again
- use multibuild

==== sg3_utils ====
Subpackages: libsgutils2-1_43-2

- Drop patch merged with git repository
* drop add-lunsearch-filter-to-searchexisting.patch
- Drop rules included in git repository
* drop 40-usb-blacklist.rules
- Update to latest svn snapshot:
* sg_rdac: add sanity checks for -f=lun value
* sg_vpd improvements
* sg_ses: fix uninitialized struct
* sg_luns: resync with SAM and SPC drafts
* sg_vpd: fix struct misalignment introduced by --force
* sg_logs: add --vendor and fixup enumeration
- Port patches from SLES:
* Add systemd service files for LUN masking (bsc#954600)
* 55-scsi-sg3_id.rules: handle VPD page 0x80 correctly (bsc#1006469)
* scripts: added udev rules for legacy CCISS (bsc#1006175)
* rescan-scsi-bus.sh: Add lunsearch filter to findresized()
(bsc#1027176)
* Add fc_wwpn_id to generate by-path links for fibrechannel
(bsc#1005063)
* 55-scsi-sg3_id.rules: allow to override sysfs inquiry
(bsc#1012523)
* sg_inq: export all NAA values (bsc#1050767)
* Silence gcc warnings

==== tigervnc ====

- Disable MIT-SHM extension when running under vnc user.
(bnc#1053373)

==== xdg-desktop-portal-kde ====
Version update (5.10.4 -> 5.10.5)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.10.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.10.5.php
- Changes since 5.10.4:
* None

==== zbar ====

- Added zbar-Qt5.patch to build against Qt5


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages